package main

import (
	"gibb165lb2/router"
	"github.com/gorilla/mux"
)

func GetRouter() *mux.Router {
	r := mux.NewRouter()
	// curl -X GET localhost:3000/spiele
	r.HandleFunc("/spiele", router.GetSpiele).Methods("GET")
	// curl -X DELETE -d '{"spiel_id": "YOUR_SPIEL_ID"}' -H "Content-Type: application/json" localhost:3000/spiele
	r.HandleFunc("/spiele", router.DeleteSpiel).Methods("DELETE")
	// curl -X GET localhost:3000/laeden
	r.HandleFunc("/laeden", router.GetLaeden).Methods("GET")
	// curl -X DELETE -d '{"laden_id": "YOUR_LADEN_ID"}' -H "Content-Type: application/json" localhost:3000/laeden
	r.HandleFunc("/laeden", router.DeleteLaden).Methods("DELETE")
	// curl -X POST localhost:3000/init
	r.HandleFunc("/init", router.InitDatabase).Methods("GET")
	// curl -X GET localhost:3000/spiele-mit-laeden
	r.HandleFunc("/spiele-mit-laeden", router.GetSpieleMitLaeden).Methods("GET")
	// curl -X DELETE -d '{"spiel_id": "YOUR_SPIEL_ID", "laden_id": "YOUR_LADEN_ID"}' -H "Content-Type: application/json" localhost:3000/spiele-mit-laeden
	r.HandleFunc("/spiele-mit-laeden", router.DeleteLadenFromSpiel).Methods("DELETE")
	// curl -X POST -d '{"spiel_id": "YOUR_SPIEL_ID", "neuer_laden_id": "YOUR_NEUER_LADEN_ID"}' -H "Content-Type: application/json" localhost:3000/spiele-mit-laeden
	r.HandleFunc("/spiele-mit-laeden", router.AddNewLadenToSpiel).Methods("POST")
	// curl -X POST -d '{"titel": "Neues Spiel", "erscheinungsdatum": "2024-04-05T00:00:00Z", "publisher": "Neuer Publisher", "genre": "Neues Genre", "plattform": "Neue Plattform", "bewertung": 9}' -H "Content-Type: application/json" localhost:3000/spiele
	r.HandleFunc("/spiele", router.AddNewSpiel).Methods("POST")
	// curl -X POST -d '{"name": "Neuer Laden", "adresse": "Neue Adresse", "telefonnummer": "123-456"}' -H "Content-Type: application/json" localhost:3000/laeden
	r.HandleFunc("/laeden", router.AddNewLaden).Methods("POST")
	return r
}
